package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.google.gson.annotations.Expose;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class RisikoKerjaRuanganVO extends BaseMasterVO{
	@ManyToOne
	@NotNull(message="Ruangan tidak boleh kosong")
	@Caption(value="Ruangan")
	private RuanganVO ruangan;
	
	@ManyToOne
	@NotNull(message="Status Risiko Kerjatidak boleh kosong")
	@Caption(value="Status Risiko Kerja")
	private StatusRisikoKerjaVO statusRisikoKerja;

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	public StatusRisikoKerjaVO getStatusRisikoKerja() {
		return statusRisikoKerja;
	}

	public void setStatusRisikoKerja(StatusRisikoKerjaVO statusRisikoKerja) {
		this.statusRisikoKerja = statusRisikoKerja;
	}
	
}
